# 2020-027

Adaptive Learning Assistant (A-LA) for e-learning platforms

**Main Objective** 

To support learners with a self-paced individual study plan by analyzing their learning competencies and to optimize learner interaction with the materials.

**Main Research Question**

Current e-learning platforms are only providing learners with materials they have searched for and based on the search history, 
the future materials are provided. With this platform, the learner will be provided materials not only based on their learning style 
but also according to the learner’s memory retention level, interaction with materials, prior performance, personality traits etc.
Therefore, the learners will be able to evaluate his/her performance and improve their knowledge in weak areas without much effort. 


**General objectives**
This research generally aimed to support who difficult to study their subjects and have a will to improve their knowledge precisely.  
There to optimize user performance in assessments and examinations by identifying each part of the course's difficulties.

**Individual Research Questions**

i.	How to improve individual performance?
ii.	Find student knowledge level in a subject?
iii.	How to find Progress percentage of the learner?
iv.	Gain a difficult area of a subject? 


**Individual Objectives**

•	Find out the learning progress of the learners and get the time taken for it.
•	Obtaining the correct answers of the learner, identifying his level and giving the relevant grade and identify their knowledge of the particular area of the currently evaluated.
•	Identify the weaknesses of the learner and test him again and again when he good at it.
•	Saving the learner time and display his progress according to what they learn.
•	Calculate the accuracy of the train model.


**Technology Stack**

* ReactJS
* Spring Boot
* Python
* Machine Learning Algorithms


**Setup the System***

There have 3 project files and the database:

	1.Flask Project
	2.elearning-ws2
	3.React_Frontend
	4.elearning_db.sql
	
Setup Flask Project:-

	* install python 3.7 to your c:\Python 3.7\  and add path varible to ot
	* add python extension to vs code
	* select python 3.7.0 32 bit in bottom left corner of the vs code
	* download gitbash and install
	* change terminal to bash (select defult shel)
	* check python version $ python --version
	* install below libraies
		$ pip3 install pipenv
		$ pipenv shell
		$ pipenv install flask flask-sqlalchemy flask-marshmallow marshmallow-sqlalchemy
		$ pip install Flask-SQLAlchemy
		$ pip3 install flask-mysqldb
		$ pip install numpy
		$ pip install pandas
		$ pip install matplotlib
		$ pip install sklearn
		$ pip install flask-mysql
		$ pip install Flask-YAMLConfig
	* Finaly run the project using below code
		$python app.py

	#-------------------- Run in gitbash (not shell) after installing ----------
	open environment - $ pipenv shell
	run the python file - $python app.py
	
	
Setup elearning-ws2:- 

	* Open the project using Netbeans
	* Right click project file -> build
	* Right click project file -> run
	

Setup React_Frontend:- 

	* Open the project using Visual Studio code
	* Go to the shell
	* run the below codes
		npm install
		npm start
		
Setup elearning_db.sql:-

	* install XAMPP control pannel
	* go to php my admin
	* import -> choose the elearning_db.sql  file -> go
