import React from 'react';
import ReactDOM from 'react-dom';
import { BrowserRouter as Router, Route ,HashRouter,  NavLink } from 'react-router-dom';
import '../node_modules/bootstrap/dist/css/bootstrap.min.css';
import './index.css';
import "react-circular-progressbar/dist/styles.css";
import App from './App';
import * as serviceWorker from './serviceWorker';
import Register from './components/Register';
import Login from './components/Login';
import Student from './components/Student';
import Student2 from './components/Student2';
import Lecturer from './components/Lecturer';
import QuestionPaper from './components/QuestionPaper';
import QuestionPaperResults from './components/QuestionPaperResults';
import ExamSearch from './components/ExamSearch';
import StudentDashBoard from './components/StudentDashBoard';
import Papers from './components/Papers';
import QuestionPaperResultsView from './components/QuestionPaperResultsView'


ReactDOM.render(
    <Router>
        {/* <div style={secionStyle}> */}
        <div>
        <nav className="navbar navbar-light navBar" >
            <a className="navbar-brand " href="#"><h4 className="navBarTitle">E-Learning Platform</h4></a>
        </nav>
        <br/>
        {/* <Route exact path='/' component={CreatePost} /> */}
            <Route exact path='/' component={Login} />
            <Route  path='/Register' component={Register} />
            <Route  path='/App' component={App} />
            <Route  path='/Student' component={Student} />
            <Route  path='/Student2' component={Student2} />
            <Route  path='/QuestionPaper' component={QuestionPaper} />
            <Route  path='/QuestionPaperResults' component={QuestionPaperResults} />
            <Route  path='/Lecturer' component={Lecturer} />
            <Route  path='/ExamSearch' component={ExamSearch} />
            <Route  path='/StudentDashBoard' component={StudentDashBoard} />
            <Route  path='/Papers' component={Papers} />
            <Route  path='/QuestionPaperResultsView' component={QuestionPaperResultsView} />
        </div>
        {/* </div> */}
    </Router>,
    document.getElementById('root')
);

serviceWorker.unregister();
