package com.cdap_2020_027.elearning.ws.repository;

import com.cdap_2020_027.elearning.ws.model.PaperResultStudent;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 *
 * @author IT17119122 Liyanage I.M
 */
public interface PaperResultStudentRepository extends JpaRepository<PaperResultStudent, Integer>{
    
    @Query(value = "SELECT * FROM paper_result_student WHERE FINAL_PAPER_ID = ?1", nativeQuery = true)
    List<PaperResultStudent> getPaper(int paperNo);
}
